OracleVM 3.3 : libXfont (OVMSA-2015-0120)

High Nessus Plugin ID 85784


The remote OracleVM host is missing a security update.


The remote OracleVM system is missing necessary patches to address critical security updates :

- CVE-2015-1802: missing range check in bdfReadProperties (bug 1258892)

- CVE-2015-1803: crash on invalid read in bdfReadCharacters (bug 1258892)

- CVE-2015-1804: out-of-bounds memory access in bdfReadCharacters (bug 1258892)


Update the affected libXfont package.

See Also

Plugin Details

Severity: High

ID: 85784

File Name: oraclevm_OVMSA-2015-0120.nasl

Version: $Revision: 1.3 $

Type: local

Published: 2015/09/04

Modified: 2017/02/14

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 8.5

Temporal Score: 6.3

Vector: CVSS2#AV:N/AC:M/Au:S/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:oracle:vm:libXfont, cpe:/o:oracle:vm_server:3.3

Required KB Items: Host/local_checks_enabled, Host/OracleVM/release, Host/OracleVM/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2015/09/03

Reference Information

CVE: CVE-2015-1802, CVE-2015-1803, CVE-2015-1804

BID: 73277, 73279, 73280

OSVDB: 119641, 119642, 119643